Name:		nitroshare
Version:	0.3.4
Release:	%mkrel 18
Summary:	Network file transfer application
Group:		Networking/File transfer
License:	MIT
URL:		https://nitroshare.net
# https://github.com/nitroshare/nitroshare-desktop
Source0:	https://launchpad.net/nitroshare/0.3/%{version}/+download/%{name}-%{version}.tar.gz
Source1:	https://launchpad.net/nitroshare/0.3/%{version}/+download/%{name}-%{version}.tar.gz.asc
# Use a correct Caja, Nemo and Nautilus GI API version.
Patch0:		nitroshare-fix-caja-nemo-and-nautilus.patch
Patch1:		nitroshare-0.3.4-fix-build-against-qt-5.11.0.patch
Patch2:		0001-Port-to-Ayatana-AppIndicator.patch
Patch3:		nitroshare-cmake-4.0.patch
BuildRequires:	cmake >= 3.2.0
BuildRequires:	qttools5
BuildRequires:	cmake(qmdnsengine)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(qhttpengine)
# extra BRs needed for Mate, Gnome and Cinnamon DEs
BuildRequires:	pkgconfig(ayatana-appindicator-0.1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libnotify)

%description
A cross-platform network file transfer application designed to make
transferring any file to any device as painless as possible.

Features:
  * Automatic discovery of devices on the local network.
  * Simple and intuitive user interface.
  * Transfer entire directories.

#----------------------------------------------------

%package	nautilus
Summary:	Nautilus extension for Nitroshare
Group:		Graphical desktop/GNOME
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	nautilus-python

%description	nautilus
The %{name}-nautilus package contains the %{name} extension for the
nautilus file manager.

#----------------------------------------------------

%package	nemo
Summary:	Nemo extension for Nitroshare
Group:		Graphical desktop/Cinnamon
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	nemo-python

%description	nemo
The %{name}-nemo package contains the %{name} extension for the
nemo file manager.

#----------------------------------------------------

%package	caja
Summary:	Caja extension for Nitroshare
Group:		Graphical desktop/MATE
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	python3-caja

%description	caja
The %{name}-caja package contains the %{name} extension for the
caja file manager.

#----------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-send
%{_datadir}/applications/%{name}.desktop
%{_datadir}/kservices5/nitroshare_addtoservicemenu.desktop
%{_iconsdir}/hicolor/*/*/%{name}*.svg
%{_iconsdir}/breeze*/*/*/%{name}*.svg
%{_mandir}/man1/%{name}.1*
# we don't want some useless icons
%exclude %{_iconsdir}/ubuntu*/
%exclude %{_iconsdir}/gnome/

%files nautilus
%{_datadir}/nautilus-python/extensions

%files nemo
%{_datadir}/nemo-python/extensions

%files caja
%{_datadir}/caja-python/extensions



%changelog
* Tue Jul 01 2025 daviddavid <daviddavid> 0.3.4-18.mga10
+ Revision: 2234243
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Nov 18 2022 daviddavid <daviddavid> 0.3.4-17.mga9
+ Revision: 1908703
- fix also for Nemo GI API version to 3.0
- fix Caja GI API version to 2.0

* Thu Nov 17 2022 daviddavid <daviddavid> 0.3.4-15.mga9
+ Revision: 1908485
- fix Nautilus GI API version to 4.0

* Mon Apr 04 2022 umeabot <umeabot> 0.3.4-14.mga9
+ Revision: 1843745
- Mageia 9 Mass Rebuild

* Fri Sep 17 2021 joequant <joequant> 0.3.4-13.mga9
+ Revision: 1745627
- rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.3.4-12.mga8
+ Revision: 1659128
- Rebuild for new Qt5

* Fri Oct 16 2020 wally <wally> 0.3.4-11.mga8
+ Revision: 1636407
- Port to Ayatana-AppIndicator

* Fri Oct 16 2020 luigiwalser <luigiwalser> 0.3.4-10.mga8
+ Revision: 1636393
- try building against to ayatana-appindicator

* Tue Feb 18 2020 umeabot <umeabot> 0.3.4-9.mga8
+ Revision: 1539659
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Dec 12 2019 joequant <joequant> 0.3.4-8.mga8
+ Revision: 1465983
- upgrade library for appindicator

* Thu Aug 29 2019 wally <wally> 0.3.4-7.mga8
+ Revision: 1435042
- fix python-caja requires

* Sun Mar 31 2019 umeabot <umeabot> 0.3.4-6.mga7
+ Revision: 1383533
- Qt5 Rebuild

* Sat Oct 20 2018 daviddavid <daviddavid> 0.3.4-5.mga7
+ Revision: 1322847
- add patch to use a correct Caja GI API version

* Sun Sep 23 2018 umeabot <umeabot> 0.3.4-4.mga7
+ Revision: 1299749
- Mageia 7 Mass Rebuild
+ wally <wally>
- drop unneeded GTK version hack for caja as it uses GTK3 nowadays

* Fri Jun 01 2018 daviddavid <daviddavid> 0.3.4-3.mga7
+ Revision: 1233418
- add patch to fix build with new Qt5 >= 5.11.0

* Mon Oct 23 2017 daviddavid <daviddavid> 0.3.4-2.mga7
+ Revision: 1173188
- enable QMdnsEngine support

* Mon Oct 23 2017 daviddavid <daviddavid> 0.3.4-1.mga7
+ Revision: 1173180
- new version: 0.3.4

* Tue Sep 12 2017 daviddavid <daviddavid> 0.3.3-2.mga7
+ Revision: 1153222
- rebuild for new qhttpengine 1.0.0

* Wed Jul 13 2016 daviddavid <daviddavid> 0.3.3-1.mga6
+ Revision: 1041702
- initial package nitroshare

